<template>
    <div class="container">
        <form @submit="addItem">
            <input type="text" v-model="product" name="product" placeholder="Enter Prodcut Name">
            <input type="submit" value="Submit" class="btn">
        </form>
    </div>
</template>

<script>
export default {
    name: "AddItem",
    data() {
        return {
            product: '',
        }
    },
    methods: {
        addItem(e) {
            e.preventDefault();
            const newItem = {
                product: this.product,
                completed: false
            };
            this.$emit('add-item', newItem);

            this.product = '';
        }
    }
}
</script>

<style scoped>
    .container {
        padding-top: 20px;
        padding-bottom: 20px;
        font-size: 15px;
    }

    form {
        display: flex;
        flex-wrap: wrap;
        font-size: inherit;
    }

    input[type="text"], input[type="number"]{
        flex: 10;
        padding: 5px;
        font-size: 15px;
        font-size: inherit;
    }

    input[type="submit"]{
        width: 100%;
        padding: 5px;
        font-size: inherit;
    }
</style>